
# Cliniqally calendar for the Cliniqally project

## Installation

1. Add the latest version of package to your pubspec.yaml (and run`dart pub get`):
```yaml
dependencies:
  cliniqally_calendar: ^0.0.1
```
2. Import the package and use it in your Flutter App.
```dart
import 'package:cliniqally_calendar/cliniqally_calendar.dart';
```

## Example
There are a number of properties that you can modify:

```dart
Calendar(
      isCustomized: true,
      weekendOpacityEnable: false,
      previous: CircleAvatar(
        radius: 14.h,
        backgroundColor: Colors.white,
        child: Icon(
          Icons.arrow_back_ios,
          size: 16.sp,
          color: const Color(0xff189AB4),
        ),
      ),
      next: CircleAvatar(
        radius: 14.h,
        backgroundColor: Colors.white,
        child: Icon(
          Icons.arrow_forward_ios,
          size: 16.sp,
          color: const Color(0xff189AB4),
        ),
      ),
      addOnTap: () => log('add Ontap'),
      space: 20.w,
      onSelected: (value) => log('$value'),
      backgroundColor: const Color.fromARGB(255, 255, 255, 255),
      activeColor: const Color(0xff189AB4),
      textStyleDays: TextStyle(
          fontWeight: FontWeight.normal,
          color: Colors.grey.shade800,
          fontSize: 16.sp),
      textStyleWeekDay: TextStyle(
        fontSize: 16.sp,
        fontWeight: FontWeight.bold,
        color: const Color(0xff189AB4),
      ),
      titleStyle: TextStyle(
        fontWeight: FontWeight.bold,
        fontSize: 20.sp,
      ),
      selectedStyle: TextStyle(
        fontWeight: FontWeight.bold,
        fontSize: 14.sp,
        color: const Color.fromARGB(255, 255, 255, 255),
      ),
    ),
```
